#!/bin/sh 

# Signal handler.
SignalTrap()
{
	echo "Received signal.  Update aborting."
	exit 1
}

# Set Signal Trap
trap SignalTrap INT QUIT TERM ABRT STOP

function popupText
{
	chmod 755 /tmp/utserviceutility
	/tmp/utserviceutility popup $POPUP_TXT_FILE
	rm -f $POPUP_TXT_FILE
}

error=1
POPUP_TXT_FILE=/tmp/pop_up.txt

if [ "$MY" -gt 17 -o "$NVRAM_SIZE" != "64GB" ]; then
	slay APP_SUM
	echo "Incorrect hardware version."> $POPUP_TXT_FILE
	echo "">> $POPUP_TXT_FILE
	echo "Please remove the USB drive.  SYNC will restart automatically.">> $POPUP_TXT_FILE
	popupText

	find /fs/images/ivsu_* -name "*.lst*" -remove!
	find /fs/images/ivsu_* -name "*.tar.gz" -remove!
	sync
	sync
	
	while [ -e $1 ]; do
		sleep 1
	done
	
	shutdown
else
	error=0
fi

exit $error

